diff --git a/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConfAdmin.class.php b/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConfAdmin.class.php
index 70abb0ad..d17ff03d 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConfAdmin.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConfAdmin.class.php
@@ -619,59 +570,52 @@ EOT;
     $this->orphanedCheckQty = $values['orphanedCheckQty'];
 
     $this->manualAccountConflict = $values['manualAccountConflict'];
-    $this->userConflictResolve  = ($values['userConflictResolve']) ? (int)$values['userConflictResolve'] : NULL;
-    $this->accountsWithSameEmail = ($values['accountsWithSameEmail']) ? (int)$values['accountsWithSameEmail'] : NULL;
-    $this->acctCreation  = ($values['acctCreation']) ? (int)$values['acctCreation'] : NULL;
+    $this->userConflictResolve = ($values['userConflictResolve']) ? (int) $values['userConflictResolve'] : NULL;
+    $this->accountsWithSameEmail = ($values['accountsWithSameEmail']) ? (int) $values['accountsWithSameEmail'] : NULL;
+    $this->acctCreation = ($values['acctCreation']) ? (int) $values['acctCreation'] : NULL;
     $this->disableAdminPasswordField = $values['disableAdminPasswordField'];
-   // $this->wsKey  = ($values['wsKey']) ? $values['wsKey'] : NULL;
-
-   // $this->wsUserIps  = ($values['wsUserIps']) ? explode("\n", $values['wsUserIps']) : array();
-  //  foreach ($this->wsUserIps as $i => $ip) {
-  //    $this->wsUserIps[$i] = trim($ip);
-  //  }
-   // $this->wsEnabled  = ($values['wsEnabled']) ? (int)$values['wsEnabled'] : 0;
 
     $this->ldapUserSynchMappings = $this->synchMappingsFromForm($values, $storage);
 
   }
 
-
-
-/**
- *  Extract synch mappings array from mapping table in admin form.
- *
- * @param array $values as $form_state['values'] from drupal form api
- * @param array $storage as $form_state['storage'] from drupal form api
- *
- * $values input names in form:
- *   1__sm__configurable__5,
- *   1__sm__remove__5,
- *   1__sm__ldap_attr__5,
- *   1__sm__convert__5,
- *   1__sm__direction__5,
- *   1__sm__user_attr__5,
- *   1__sm__user_tokens__5
- *   1__sm__1__5,
- *   1__sm__2__5,
-    ...where
-      -- first arg is direction, eg 1 or 2 LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER or LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY
-      -- second arg is discarded ('sm')
-      -- third part is field, e.g. user_attr
-      -- fourth is the row in the configuration form, e.g. 5
-
-   where additiond data is in $form['#storage'][<direction>]['synch_mapping_fields'][N]
-    $form['#storage']['synch_mapping_fields'][<direction>][N] = array(
-      'sid' => $sid,
-      'action' => 'add',
-    );
- */
+  /**
+   * Extract synch mappings array from mapping table in admin form.
+   *
+   * @param array $values
+   *   as $form_state['values'] from drupal form api.
+   * @param array $storage
+   *   as $form_state['storage'] from drupal form api
+   *
+   *   $values input names in form:
+   *   1__sm__configurable__5,
+   *   1__sm__remove__5,
+   *   1__sm__ldap_attr__5,
+   *   1__sm__convert__5,
+   *   1__sm__direction__5,
+   *   1__sm__user_attr__5,
+   *   1__sm__user_tokens__5
+   *   1__sm__1__5,
+   *   1__sm__2__5,
+   *   ...where
+   *   -- first arg is direction, eg 1 or 2 LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER or LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY
+   *   -- second arg is discarded ('sm')
+   *   -- third part is field, e.g. user_attr
+   *   -- fourth is the row in the configuration form, e.g. 5
+   *
+   *   where additiond data is in $form['#storage'][<direction>]['synch_mapping_fields'][N]
+   *   $form['#storage']['synch_mapping_fields'][<direction>][N] = array(
+   *   'sid' => $sid,
+   *   'action' => 'add',
+   *   );.
+   */
   private function synchMappingsFromForm($values, $storage) {
 
-    $mappings = array();
+    $mappings = [];
     foreach ($values as $field => $value) {
 
       $parts = explode('__', $field);
-      // since synch mapping fields are in n-tuples, process entire n-tuple at once
+      // Since synch mapping fields are in n-tuples, process entire n-tuple at once.
       if (count($parts) != 4 || $parts[1] !== 'sm') {
         continue;
       }
@@ -679,9 +623,9 @@ EOT;
       list($direction, $discard, $column_name, $i) = $parts;
       $action = $storage['synch_mapping_fields'][$direction][$i]['action'];
 
-      $row_mappings = array();
-      foreach (array('remove', 'configurable_to_drupal', 'configurable_to_ldap', 'convert', 'ldap_attr', 'user_attr', 'user_tokens') as $column_name) {
-        $input_name = join('__', array($direction, 'sm', $column_name, $i));
+      $row_mappings = [];
+      foreach (['remove', 'configurable_to_drupal', 'configurable_to_ldap', 'convert', 'ldap_attr', 'user_attr', 'user_tokens'] as $column_name) {
+        $input_name = join('__', [$direction, 'sm', $column_name, $i]);
         $row_mappings[$column_name] = isset($values[$input_name]) ? $values[$input_name] : NULL;
       }
 
@@ -691,7 +635,7 @@ EOT;
 
       $key = ($direction == LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER) ? $row_mappings['user_attr'] : $row_mappings['ldap_attr'];
       if ($row_mappings['configurable_to_drupal'] && $row_mappings['ldap_attr'] && $row_mappings['user_attr']) {
-        $mappings[$direction][$key] = array(
+        $mappings[$direction][$key] = [
           'ldap_attr' => $row_mappings['ldap_attr'],
           'user_attr' => $row_mappings['user_attr'],
           'convert' => $row_mappings['convert'],
@@ -700,11 +644,11 @@ EOT;
           'config_module' => 'ldap_user',
           'prov_module' => 'ldap_user',
           'enabled' => 1,
-          );
+        ];
 
         $synchEvents = ($direction == LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER) ? $this->provisionsDrupalEvents : $this->provisionsLdapEvents;
         foreach ($synchEvents as $prov_event => $discard) {
-          $input_name = join('__', array($direction, 'sm', $prov_event, $i));
+          $input_name = join('__', [$direction, 'sm', $prov_event, $i]);
           if (isset($values[$input_name]) && $values[$input_name]) {
             $mappings[$direction][$key]['prov_events'][] = $prov_event;
           }
@@ -716,10 +660,12 @@ EOT;
   }
 
   /**
-   * method to respond to successfully validated form submit.
+   * Method to respond to successfully validated form submit.
    *
-   * @param array $values as $form_state['values'] from drupal form api
-   * @param array $storage as $form_state['storage'] from drupal form api
+   * @param array $values
+   *   as $form_state['values'] from drupal form api.
+   * @param array $storage
+   *   as $form_state['storage'] from drupal form api.
    *
    * @return by reference to $form array
    */
@@ -739,14 +685,14 @@ EOT;
   }
 
   /**
-   * add existing mappings to ldap user provisioning mapping admin form table
+   * Add existing mappings to ldap user provisioning mapping admin form table.
    *
    * @param drupal form array $form
-   * @param enum $direction LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER or LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY
+   * @param enum $direction
+   *   LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER or LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY.
    *
    * @return by reference to $form array
    */
-
   private function addServerMappingFields(&$form, $direction) {
 
     if ($direction == LDAP_USER_PROV_DIRECTION_NONE) {
@@ -754,7 +700,7 @@ EOT;
     }
 
     $text = ($direction == LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER) ? 'target' : 'source';
-    $user_attr_options = array('0' => t('Select') . ' ' . $text);
+    $user_attr_options = ['0' => t('Select') . ' ' . $text];
 
     if (!empty($this->synchMapping[$direction])) {
       foreach ($this->synchMapping[$direction] as $target_id => $mapping) {
@@ -777,20 +723,22 @@ EOT;
 
     $row = 0;
 
-    // 1. non configurable mapping rows
+    // 1. non configurable mapping rows.
     foreach ($this->synchMapping[$direction] as $target_id => $mapping) {
       if (isset($mapping['exclude_from_mapping_ui']) && $mapping['exclude_from_mapping_ui']) {
         continue;
       }
-      if ( !$this->isMappingConfigurable($mapping, 'ldap_user') && ($mapping['direction'] == $direction || $mapping['direction'] == LDAP_USER_PROV_DIRECTION_ALL)) { // is configurable by ldap_user module (not direction to ldap_user)
+      // Is configurable by ldap_user module (not direction to ldap_user)
+      if (!$this->isMappingConfigurable($mapping, 'ldap_user') && ($mapping['direction'] == $direction || $mapping['direction'] == LDAP_USER_PROV_DIRECTION_ALL)) {
         $this->addSynchFormRow($form, 'nonconfigurable', $direction, $mapping, $user_attr_options, $row);
         $row++;
       }
     }
 
-    // 2. existing configurable mappings rows
+    // 2. existing configurable mappings rows.
     if (!empty($this->ldapUserSynchMappings[$direction])) {
-      foreach ($this->ldapUserSynchMappings[$direction] as $target_attr_token => $mapping) {  // key could be ldap attribute name or user attribute name
+      // Key could be ldap attribute name or user attribute name.
+      foreach ($this->ldapUserSynchMappings[$direction] as $target_attr_token => $mapping) {
         if (isset($mapping['enabled']) && $mapping['enabled'] && $this->isMappingConfigurable($this->synchMapping[$direction][$target_attr_token], 'ldap_user')) {
           $this->addSynchFormRow($form, 'update', $direction, $mapping, $user_attr_options, $row);
           $row++;
@@ -798,7 +746,7 @@ EOT;
       }
     }
 
-    // 3. leave 4 rows for adding more mappings
+    // 3. leave 4 rows for adding more mappings.
     for ($i = 0; $i < 4; $i++) {
       $this->addSynchFormRow($form, 'add', $direction, NULL, $user_attr_options, $row);
       $row++;
@@ -807,15 +755,19 @@ EOT;
   }
 
   /**
-   * add mapping form row to ldap user provisioning mapping admin form table
+   * Add mapping form row to ldap user provisioning mapping admin form table.
    *
    * @param drupal form array $form
-   * @param string $action is 'add', 'update', or 'nonconfigurable'
-   * @param enum $direction LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER or LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY
-   * @param array $mapping is current setting for updates or nonconfigurable items
-   * @param array $user_attr_options of drupal user target options
-   * @param int $row is current row in table
-
+   * @param string $action
+   *   is 'add', 'update', or 'nonconfigurable'.
+   * @param enum $direction
+   *   LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER or LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY.
+   * @param array $mapping
+   *   is current setting for updates or nonconfigurable items.
+   * @param array $user_attr_options
+   *   of drupal user target options.
+   * @param int $row
+   *   is current row in table.
    *
    * @return by reference to $form
    */
@@ -824,40 +776,40 @@ EOT;
     $id_prefix = $direction . '__';
 
     $id = $id_prefix . 'sm__remove__' . $row;
-    $form[$id] = array(
+    $form[$id] = [
       '#id' => $id,
       '#row' => $row,
       '#col' => 0,
       '#type' => 'checkbox',
       '#default_value' => NULL,
       '#disabled' => ($action == 'add' || $action == 'nonconfigurable'),
-    );
+    ];
 
     $id = $id_prefix . 'sm__convert__' . $row;
-    $form[$id] = array(
+    $form[$id] = [
       '#id' => $id,
       '#row' => $row,
       '#col' => ($direction == LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER) ? 2 : 3,
       '#type' => 'checkbox',
       '#default_value' => isset($mapping['convert']) ? $mapping['convert'] : '',
       '#disabled' => ($action == 'nonconfigurable'),
-      '#attributes' => array('class' => array('convert')),
-    );
+      '#attributes' => ['class' => ['convert']],
+    ];
 
     $id = $id_prefix . 'sm__ldap_attr__' . $row;
     $col = ($direction == LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER) ? 1 : 4;
     if ($action == 'nonconfigurable') {
-      $form[$id] = array(
+      $form[$id] = [
         '#id' => $id,
         '#row' => $row,
         '#col' => $col,
         '#type' => 'item',
         '#markup' => isset($mapping['source']) ? $mapping['source'] : '?',
-        '#attributes' => array('class' => array('source')),
-      );
+        '#attributes' => ['class' => ['source']],
+      ];
     }
     else {
-      $form[$id] = array(
+      $form[$id] = [
         '#id' => $id,
         '#row' => $row,
         '#col' => $col,
@@ -865,35 +817,35 @@ EOT;
         '#default_value' => isset($mapping['ldap_attr']) ? $mapping['ldap_attr'] : '',
         '#size' => 20,
         '#maxlength' => 255,
-        '#attributes' => array('class' => array('ldap-attr')),
-      );
+        '#attributes' => ['class' => ['ldap-attr']],
+      ];
     }
 
     $user_attr_input_id = $id_prefix . 'sm__user_attr__' . $row;
     $col = ($direction == LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER) ? 3 : 1;
     if ($action == 'nonconfigurable') {
-      $form[$user_attr_input_id] = array(
+      $form[$user_attr_input_id] = [
         '#id' => $user_attr_input_id,
         '#row' => $row,
         '#col' => $col,
         '#type' => 'item',
         '#markup' => isset($mapping['name']) ? $mapping['name'] : '?',
-      );
+      ];
     }
     else {
-      $form[$user_attr_input_id] = array(
+      $form[$user_attr_input_id] = [
         '#id' => $user_attr_input_id,
         '#row' => $row,
         '#col' => $col,
         '#type' => 'select',
         '#default_value' => isset($mapping['user_attr']) ? $mapping['user_attr'] : '',
         '#options' => $user_attr_options,
-      );
+      ];
     }
 
     if ($direction == LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY) {
       $id = $id_prefix . 'sm__user_tokens__' . $row;
-      $form[$id] = array(
+      $form[$id] = [
         '#id' => $id,
         '#row' => $row,
         '#col' => 2,
@@ -902,53 +854,54 @@ EOT;
         '#size' => 40,
         '#maxlength' => 255,
         '#disabled' => ($action == 'nonconfigurable'),
-        '#states' => array(
-          'visible' => array(   // action to take.
-            ':input[name="' . $user_attr_input_id . '"]' => array('value' => 'user_tokens'),
-          )
-        ),
-        '#attributes' => array('class' => array('tokens')),
-      );
+        '#states' => [
+          'visible' => [
+            ':input[name="' . $user_attr_input_id . '"]' => ['value' => 'user_tokens'],
+          ],
+        ],
+        '#attributes' => ['class' => ['tokens']],
+      ];
     }
 
-    $form['#storage']['synch_mapping_fields'][$direction][$row] = array(
+    $form['#storage']['synch_mapping_fields'][$direction][$row] = [
       'action' => $action,
       'direction' => $direction,
-    );
+    ];
 
     $id = $id_prefix . 'sm__configurable_to_drupal__' . $row;
-    $form[$id] = array(
+    $form[$id] = [
       '#id' => $id,
       '#type' => 'hidden',
       '#default_value' => ($action != 'nonconfigurable'),
-    );
-
+    ];
 
     $col = ($direction == LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY) ? 5 : 4;
     $synchEvents = ($direction == LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER) ? $this->provisionsDrupalEvents : $this->provisionsLdapEvents;
 
     foreach ($synchEvents as $prov_event => $prov_event_name) {
       $col++;
-      $id = $id_prefix . join('__', array('sm', $prov_event, $row));
-      $form[$id] = array(
+      $id = $id_prefix . join('__', ['sm', $prov_event, $row]);
+      $form[$id] = [
         '#id' => $id ,
         '#type' => 'checkbox',
-        '#default_value' => isset($mapping['prov_events']) ? (int)(in_array($prov_event, $mapping['prov_events'])) : '',
+        '#default_value' => isset($mapping['prov_events']) ? (int) (in_array($prov_event, $mapping['prov_events'])) : '',
         '#row' => $row,
         '#col' => $col,
         '#disabled' => (!$this->provisionEventConfigurable($prov_event, $mapping) || ($action == 'nonconfigurable')),
-        '#attributes' => array('class' => array('synch-method')),
-      );
+        '#attributes' => ['class' => ['synch-method']],
+      ];
     }
   }
 
   /**
    * Is a mapping configurable by a given module?
    *
-   * @param array $mapping as mapping configuration for field, attribute, property, etc.
-   * @param string $module machine name such as ldap_user
+   * @param array $mapping
+   *   as mapping configuration for field, attribute, property, etc.
+   * @param string $module
+   *   machine name such as ldap_user.
    *
-   * @return boolean
+   * @return bool
    */
   private function isMappingConfigurable($mapping = NULL, $module = 'ldap_user') {
     $configurable = (
@@ -966,25 +919,24 @@ EOT;
     return $configurable;
   }
 
-
   /**
    * Is a particular synch method viable for a given mapping?
    * That is, Can it be enabled in the UI by admins?
    *
    * @param int $prov_event
-   * @param array $mapping is array of mapping configuration.
+   * @param array $mapping
+   *   is array of mapping configuration.
    *
-   * @return boolean
+   * @return bool
    */
-
   private function provisionEventConfigurable($prov_event, $mapping = NULL) {
 
     if ($mapping) {
       if ($prov_event == LDAP_USER_EVENT_CREATE_LDAP_ENTRY || $prov_event == LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY) {
-        $configurable = (boolean)(!isset($mapping['configurable_to_ldap']) || $mapping['configurable_to_ldap']);
+        $configurable = (boolean) (!isset($mapping['configurable_to_ldap']) || $mapping['configurable_to_ldap']);
       }
       elseif ($prov_event == LDAP_USER_EVENT_CREATE_DRUPAL_USER || $prov_event == LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER) {
-        $configurable = (boolean)(!isset($mapping['configurable_to_drupal']) || $mapping['configurable_to_drupal']);
+        $configurable = (boolean) (!isset($mapping['configurable_to_drupal']) || $mapping['configurable_to_drupal']);
       }
     }
     else {
@@ -994,6 +946,9 @@ EOT;
     return $configurable;
   }
 
+  /**
+   *
+   */
   protected function setTranslatableProperties() {
 
     $values['drupalAcctProvisionServerDescription'] = t('Check ONE LDAP server configuration to use
@@ -1006,53 +961,52 @@ EOT;
       the user\'s Drupal account since Drupal requires a password for the "users" table. Check the watchdog at /admin/reports/dblog to
       confirm that a random password was generated when the user account was created.');
 
-    $values['drupalAccountProvisionEventsOptions'] = array(
+    $values['drupalAccountProvisionEventsOptions'] = [
       LDAP_USER_DRUPAL_USER_PROV_ON_AUTHENTICATE => t('Create or Synch to Drupal user on successful authentication with LDAP
         credentials. (Requires LDAP Authentication module).'),
       LDAP_USER_DRUPAL_USER_PROV_ON_USER_UPDATE_CREATE => t('Create or Synch to Drupal user anytime a Drupal user account
         is created or updated. Requires a server with binding method of "Service Account Bind" or "Anonymous Bind".'),
-      );
+    ];
 
     $values['ldapEntryProvisionTriggersDescription'] = t('Which LDAP attributes are synched on create or synch is determined in the
       "Provisioning from Drupal to LDAP mappings" table below in the right two columns.');
 
-    $values['ldapEntryProvisionTriggersOptions'] = array(
+    $values['ldapEntryProvisionTriggersOptions'] = [
       LDAP_USER_LDAP_ENTRY_PROV_ON_USER_UPDATE_CREATE => t('Create or Synch to LDAP entry when a Drupal account is created or updated.
         Only applied to accounts with a status of approved.'),
       LDAP_USER_LDAP_ENTRY_PROV_ON_AUTHENTICATE => t('Create or Synch to LDAP entry when a user authenticates.'),
       LDAP_USER_LDAP_ENTRY_DELETE_ON_USER_DELETE => t('Delete LDAP entry when the corresponding Drupal Account is deleted.  This only applies when the LDAP entry was provisioned by Drupal by the LDAP User module.'),
       LDAP_USER_DRUPAL_USER_PROV_ON_ALLOW_MANUAL_CREATE => t('Provide option on admin/people/create to create corresponding LDAP Entry.'),
 
-    );
+    ];
 
     $values['orphanedDrupalAcctBehaviorDescription'] = t('It is highly recommended to use the "Perform no action, but email list of orphaned accounts" for some time before considering switching to "Disable the account" options.');
 
-
-    $values['manualAccountConflictOptions'] = array(
+    $values['manualAccountConflictOptions'] = [
       LDAP_USER_MANUAL_ACCT_CONFLICT_REJECT => t('Reject manual creation of Drupal accounts that conflict with LDAP Accounts. This only applies to accounts created on user logon;  Account conflicts can still be generated by manually creating users that conflict with ldap users and these users will have their data synched with LDAP data.'),
       LDAP_USER_MANUAL_ACCT_CONFLICT_LDAP_ASSOCIATE => t('Associate manually created Drupal accounts with related LDAP Account if one exists.'),
       LDAP_USER_MANUAL_ACCT_CONFLICT_SHOW_OPTION_ON_FORM => t('Show option on user create form to determine how account conflict is resolved.'),
-    );
+    ];
 
     /**
     *  Drupal Account Provisioning and Synching
     */
     $values['userConflictResolveDescription'] = t('What should be done if a local Drupal or other external
       user account already exists with the same login name.');
-    $values['userConflictOptions'] = array(
+    $values['userConflictOptions'] = [
       LDAP_USER_CONFLICT_LOG => t('Don\'t associate Drupal account with LDAP.  Require user to use Drupal password. Log the conflict'),
       LDAP_USER_CONFLICT_RESOLVE => t('Associate Drupal account with the LDAP entry.  This option
       is useful for creating accounts and assigning roles before an LDAP user authenticates.'),
-      );
+    ];
     $values['accountsWithSameEmailDescription'] = t('Allows provisioning a Drupal user account from LDAP regardless of whether another Drupal user account has the same email address. This setting depends on the "sharedemail" contrib module being enabled. ');
     if (!module_exists('sharedemail')) {
       $values['accountsWithSameEmailDescription'] .= t('The module is not currently enabled; you must install/enable it if you want to use this setting.');
     }
-    $values['accountsWithSameEmailOptions'] = array(
+    $values['accountsWithSameEmailOptions'] = [
       LDAP_USER_ACCOUNTS_WITH_SAME_EMAIL_DISABLED => t('Prevent provisioning a user account if an existing account has the same email address.'),
       LDAP_USER_ACCOUNTS_WITH_SAME_EMAIL_ENABLED => t('Allow provisioning a user account that has the same email address as another user account.'),
-      );
-    $values['acctCreationOptions'] = array(
+    ];
+    $values['acctCreationOptions'] = [
       LDAP_USER_ACCT_CREATION_LDAP_BEHAVIOR => t('Account creation settings at
         /admin/config/people/accounts/settings do not affect "LDAP Associated" Drupal accounts.'),
       LDAP_USER_ACCT_CREATION_USER_SETTINGS_FOR_LDAP => t('Account creation policy
@@ -1060,11 +1014,11 @@ EOT;
          "Visitors" option automatically creates and account when they successfully LDAP authenticate.
          "Admin" and "Admin with approval" do not allow user to authenticate until the account is approved.'),
 
-      );
+    ];
 
-      foreach ($values as $property => $default_value) {
-        $this->$property = $default_value;
-      }
+    foreach ($values as $property => $default_value) {
+      $this->$property = $default_value;
     }
+  }
 
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.admin.inc b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.admin.inc
index 409a1e1a..31354071 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.admin.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.admin.inc
@@ -3,11 +3,10 @@
 /**
  * @file
  * LDAP User editing UI.
- *
  */
 
 /**
- * form for adding, updating, and deleting a single ldap authorization mapping
+ * Form for adding, updating, and deleting a single ldap authorization mapping.
  */
 function ldap_user_admin_form($form, &$form_state) {
   $ldap_user_conf = ldap_user_conf('admin');
@@ -15,9 +14,8 @@ function ldap_user_admin_form($form, &$form_state) {
   return $form;
 }
 
-
 /**
- * validate handler for the ldap_user_admin_form
+ * Validate handler for the ldap_user_admin_form.
  */
 function ldap_user_admin_form_validate($form, &$form_state) {
 
@@ -29,23 +27,24 @@ function ldap_user_admin_form_validate($form, &$form_state) {
   foreach ($warnings as $warning_name => $warning_text) {
     drupal_set_message($warning_text, 'warning');
   }
-  $form_state['ldap_warnings'] = (boolean)(count($warnings) > 0);
+  $form_state['ldap_warnings'] = (boolean) (count($warnings) > 0);
 }
 
 /**
- * submit handler function for ldap_user_admin_form
+ * Submit handler function for ldap_user_admin_form.
  */
 function ldap_user_admin_form_submit($form, &$form_state) {
 
   $ldap_user_conf = ldap_user_conf('admin');
-  $ldap_user_conf->drupalFormSubmit($form_state['values'], $form['#storage']);  // add form data to object and save or create
+  // Add form data to object and save or create.
+  $ldap_user_conf->drupalFormSubmit($form_state['values'], $form['#storage']);
 
   if ($ldap_user_conf->hasError == FALSE) {
     drupal_set_message(t('LDAP user configuration saved'), 'status');
     drupal_goto(LDAP_SERVERS_MENU_BASE_PATH . '/user');
   }
   else {
-    form_set_error($conf->errorName, $conf->errorMsg);
+    form_set_error($ldap_user_conf->errorName, $ldap_user_conf->errorMsg);
     $ldap_user_conf->clearError();
   }
 
diff --git a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.api.php b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.api.php
index 785b803d..e1960c4d 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.api.php
+++ b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.api.php
@@ -2,14 +2,13 @@
 
 /**
  * @file
- * Hooks and functions relevant to developers
- *
+ * Hooks and functions relevant to developers.
  */
 
 /**
- * hook_ldap_user_attrs_alter().
+ * Hook_ldap_user_attrs_alter().
  *
- * alter list of available drupal user targets (fields, properties, etc.)
+ * Alter list of available drupal user targets (fields, properties, etc.)
  *   for ldap_user provisioning mapping form (admin/config/people/ldap/user)
  *
  * return array with elements of the form:
@@ -38,10 +37,9 @@
  *   'data' ($user->data array.  field_name will be used as key such as $user->data[<field_name>] = mapped value
  * 'field_name' machine name of property, field, profile2 field, or data associative array key
  */
-
 function hook_ldap_user_attrs_list_alter(&$available_user_attrs, &$params) {
 
- /** search for _ldap_user_attrs_list_alter for good examples
+  /** search for _ldap_user_attrs_list_alter for good examples
   * the general trick to implementing this hook is:
   *   make sure to specify config and synch module
   *   if its configurable by ldap_user module, don't specify convert, user_tokens, direction.  these will be set by UI and stored values
@@ -50,22 +48,19 @@ function hook_ldap_user_attrs_list_alter(&$available_user_attrs, &$params) {
 
 }
 
-
-
 /**
  * Allow modules to alter the user object in the context of an ldap entry
- * during synchronization
+ * during synchronization.
  *
  * @param array $edit
  *   The edit array (see hook_user_insert). Make changes to this object as
  *   required.
- * @param array $ldap_user, for structure @see LdapServer::userUserNameToExistingLdapEntry()
- *   Array, the ldap user object relating to the drupal user
+ * @param array $ldap_user,
+ *   for structure @see LdapServer::userUserNameToExistingLdapEntry()
+ *   Array, the ldap user object relating to the drupal user.
  * @param object $ldap_server
- *   The LdapServer object from which the ldap entry was fetched
+ *   The LdapServer object from which the ldap entry was fetched.
  * @param int $prov_event
- *
- *
  */
 function hook_ldap_user_edit_user_alter(&$edit, &$ldap_user, $ldap_server, $prov_event) {
   $edit['myfield'] = $ldap_server->getAttributeValue($ldap_user, 'myfield');
